
import java.io.* ;
import java.net.* ;
import java.rmi.* ;
import java.rmi.registry.* ;
import java.rmi.server.UnicastRemoteObject ;


class RemoteOutputStream extends OutputStream implements Serializable{

    private RemoteOutput rmtOut;
    public RemoteOutputStream(OutputStream s) throws RemoteException {
	rmtOut = new RemoteOutputImpl(s);
    }

	//use nested exceptions ?
    public void close() throws IOException {
	try{
	    rmtOut.close();
	}catch (RemoteException e){
	    throw new IOException(e.getMessage());
	}
    }

    public void flush() throws IOException {
	try{
	    rmtOut.flush();
	}catch (RemoteException e){
	    throw new IOException(e.getMessage());
	}
    }

    public void write(int b) throws IOException {
	try{
	    rmtOut.write(b);
	}catch (RemoteException e){
	    throw new IOException(e.getMessage());
	}
    }

    public void write(byte[] b) throws IOException {
	try{
	    rmtOut.write(b);
	}catch (RemoteException e){
	    throw new IOException(e.getMessage());
	}
    }

    public void write(byte[] b, int off, int len) throws IOException {
	try{
	    rmtOut.write(b,off,len);
	}catch (RemoteException e){
	    throw new IOException(e.getMessage());
	}
    }
}
